/* Allocate and return a new, unreferenced message for chan. */
message_t *message_alloc(channel_t *chan, char *body, int len);

/* Unlink message from the channel's message list and free its memory */
void message_free(message_t *msg);

/* Decrease reference counter of msg and free it if it became 0 */
void message_unref(message_t *msg);
